Skip to main content
`Ctrl`+`K`

# DMCompositeRestoreAccessArray

Returns the vectors obtained with `DMCompositeGetAccessArray()`

## Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode DMCompositeRestoreAccessArray(DM dm, Vec pvec, PetscInt nwanted, const PetscInt wanted[], Vec vecs[])

Collective

## Input Parameters

- dm - the `DMCOMPOSITE` object

- pvec - packed vector

- nwanted - number of vectors wanted

- wanted - sorted array of vectors wanted, or `NULL` to restore all vectors

- vecs - array of global vectors

## See Also

`DMCOMPOSITE`, `DM`, `DMCompositeRestoreAccess()`, `DMCompositeRestoreEntries()`, `DMCompositeScatter()`, `DMCompositeGather()`

## Level

advanced

## Location

src/dm/impls/composite/pack.c

## Examples

src/ts/utils/dmplexlandau/tutorials/ex1.c
src/snes/tutorials/ex73f90t.F90
src/ts/utils/dmplexlandau/tutorials/ex2.c

Index of all DMComposite routines
Table of Contents for all manual pages
Index of all manual pages